Skip to main content
POST/point-acquire-rule/:id/acquire/

Add points

You can add additional points for a user. It's an addition to the automatic rules, e.g. someone received points from a different source and you want to keep them all updated in one place.`

AttributesTypeRequiredDescription
idintegeryesA unique identifier for the point acquire rule which is given by User.com
user_idintegeryesA unique identifier for the user which is given by User.com automatically

Request​

curl --location --request POST 'https://<your_app_subdomain>.user.com/api/public/point-acquire-rule/1/acquire/' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <your_64_char_api_key>' \
--header 'Accept: */*; version=2' \
--data-raw '{"user_id": "system_user_id"}'